org.apache.maven.plugins.shade.mojo

## Class PackageRelocation

- java.lang.Object
- - org.apache.maven.plugins.shade.mojo.PackageRelocation

    public class PackageRelocation
    extends Object

Author:
  Jason van Zyl, Mauro Talevi

### Constructor Summary

Constructors
Constructor and Description
`PackageRelocation()`

### Method Summary

Methods
`List<String>` `getExcludes()`
`List<String>` `getIncludes()`
`String` `getPattern()`
`String` `getShadedPattern()`
`boolean` `isRawString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageRelocation

    public PackageRelocation()

### Method Detail

#### getPattern

    public String getPattern()

#### getShadedPattern

    public String getShadedPattern()

#### getIncludes

    public List<String> getIncludes()

#### getExcludes

    public List<String> getExcludes()

#### isRawString

    public boolean isRawString()